Loading...
Searching...
No Matches
my_cartesian2d_base< NewKernel, BaseKernel >

## Detailed Description

template<typename NewKernel, typename BaseKernel>
class rheolef::custom_cgal::my_cartesian2d_base< NewKernel, BaseKernel >

Definition at line 383 of file cgal_kernel.h.

Inheritance diagram for my_cartesian2d_base< NewKernel, BaseKernel >:

## Classes

struct | Base

## Public Types

typedef BaseKernel::FT | FT
typedef NewKernel | Kernel
typedef point_basic< FT > | Point_2
typedef MySegmentC2< Kernel > | Segment_2
typedef MyConstruct_bbox_2< typename OldKernel::Construct_bbox_2 > | Construct_bbox_2
typedef MyConstruct_coord_iterator< FT > | Construct_cartesian_const_iterator_2
typedef const FT * | Cartesian_const_iterator_2
typedef MyConstruct_point_2< Kernel, OldKernel > | Construct_point_2

## Public Member Functions

Construct_point_2 | construct_point_2_object () const
Construct_bbox_2 | construct_bbox_2_object () const
Construct_cartesian_const_iterator_2 | construct_cartesian_const_iterator_2_object () const

## Member Typedef Documentation

## FT

template<typename NewKernel , typename BaseKernel >

typedef BaseKernel::FT FT

Definition at line 386 of file cgal_kernel.h.

## Kernel

template<typename NewKernel , typename BaseKernel >

typedef NewKernel Kernel

Definition at line 387 of file cgal_kernel.h.

## Point_2

template<typename NewKernel , typename BaseKernel >

typedef point_basic<FT> Point_2

Definition at line 388 of file cgal_kernel.h.

## Segment_2

template<typename NewKernel , typename BaseKernel >

typedef MySegmentC2<Kernel> Segment_2

Definition at line 393 of file cgal_kernel.h.

## Construct_bbox_2

template<typename NewKernel , typename BaseKernel >

typedef MyConstruct_bbox_2<typename OldKernel::Construct_bbox_2> Construct_bbox_2

Definition at line 394 of file cgal_kernel.h.

## Construct_cartesian_const_iterator_2

template<typename NewKernel , typename BaseKernel >

typedef MyConstruct_coord_iterator<FT> Construct_cartesian_const_iterator_2

Definition at line 395 of file cgal_kernel.h.

## Cartesian_const_iterator_2

template<typename NewKernel , typename BaseKernel >

typedef const FT* Cartesian_const_iterator_2

Definition at line 396 of file cgal_kernel.h.

## Construct_point_2

template<typename NewKernel , typename BaseKernel >

typedef MyConstruct_point_2<Kernel, OldKernel> Construct_point_2

Definition at line 397 of file cgal_kernel.h.

## Member Function Documentation

## construct_point_2_object()

template<typename NewKernel , typename BaseKernel >

Construct_point_2 construct_point_2_object | ( |  | ) | const

Definition at line 399 of file cgal_kernel.h.

## construct_bbox_2_object()

template<typename NewKernel , typename BaseKernel >

Construct_bbox_2 construct_bbox_2_object | ( |  | ) | const

Definition at line 400 of file cgal_kernel.h.

## construct_cartesian_const_iterator_2_object()

template<typename NewKernel , typename BaseKernel >

Construct_cartesian_const_iterator_2 construct_cartesian_const_iterator_2_object | ( |  | ) | const

Definition at line 401 of file cgal_kernel.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/fem/geo_element/cgal_kernel.h